/* $Id: Debugprint.java 602 2012-10-11 18:54:42Z minao $ */
package smart_gs.debugprint;

import smart_gs.GSVersion;

public class Debugprint {

	
	public static void message(Object obj) {
		if (GSVersion.isReleasedVersion()) return;
		StackTraceElement trace = new Throwable().getStackTrace()[1];
		System.out.println("  " + obj + " ("+ trace.getClassName() + ", " + trace.getMethodName() +")");		
	}
	public static void from() {
		if (GSVersion.isReleasedVersion()) return;
		StackTraceElement trace = new Throwable().getStackTrace()[1];
		System.out.println("debug print from " + trace.getClassName() + ", " + trace.getMethodName());
	}
	
}